Bug 16073 - Circulation is completely broken
Summary: Circulation is completely broken
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low blocker (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 15656
Blocks: 16082
  Show dependency treegraph
 
Reported: 2016-03-14 18:40 UTC by Jonathan Druart
Modified: 2019-06-27 09:24 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16073: Fix software error in circulation.pl (1.51 KB, patch)
2016-03-14 18:43 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16073: Fix software error in circulation.pl (1.64 KB, patch)
2016-03-15 10:00 UTC, Jacek Ablewicz
Details | Diff | Splinter Review
Bug 16073: (follow-up) Fix software error in circulation.pl (1.55 KB, patch)
2016-03-16 09:34 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 16073: Fix software error in circulation.pl (1.69 KB, patch)
2016-03-17 15:14 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 16073: (follow-up) Fix software error in circulation.pl (1.60 KB, patch)
2016-03-17 15:14 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2016-03-14 18:40:28 UTC
To reproduce, just go to circ/circulation.pl:

Can't call method "guarantor" on an undefined value at /home/koha/src/circ/circulation.pl line 588.
 at /home/koha/src/circ/circulation.pl line 673

Introduced by bug 15656
Comment 1 Jonathan Druart 2016-03-14 18:43:00 UTC Comment hidden (obsolete)
Comment 2 Jacek Ablewicz 2016-03-15 10:00:35 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2016-03-16 09:34:58 UTC Comment hidden (obsolete)
Comment 4 Tomás Cohen Arazi 2016-03-17 15:14:13 UTC
Created attachment 49273 [details] [review]
Bug 16073: Fix software error in circulation.pl

Can't call method "guarantor" on an undefined value at
/home/koha/src/circ/circulation.pl line 588.
 at /home/koha/src/circ/circulation.pl line 673

Introduced by bug 15656

Test plan:
Just trigger circ/circulation.pl

Signed-off-by: Jacek Ablewicz <abl@biblos.pk.edu.pl>
Triggered circ/circulation.pl - nothing exploded, and error is gone
Signed-off-by: Tomas Cohen Arazi <tomascohen@unc.edu.ar>
Comment 5 Tomás Cohen Arazi 2016-03-17 15:14:22 UTC
Created attachment 49274 [details] [review]
Bug 16073: (follow-up) Fix software error in circulation.pl

Do not crash if the patron does not exist.

Test plan:
Access circ/circulation.pl?borrowernumber=42424242
you should get an error without this patch
With this patch, you will get an empty patron detail page (should be
fixed in another patch, but this behavior exists for a while)

Signed-off-by: Tomas Cohen Arazi <tomascohen@unc.edu.ar>
Comment 6 Tomás Cohen Arazi 2016-03-17 15:15:25 UTC
Simple patches that fix the issue. They pass the QA scripts and have
really bad commit messages :-P
Comment 7 Brendan Gallagher 2016-03-21 16:07:45 UTC
Pushed to Master - Should be in the May 2016 Release.  Thanks!
Comment 8 Julian Maurice 2016-03-23 06:28:54 UTC
Does not concern stable versions, status changed to RESOLVED